Set node configuration override
PUT
/api/v1/nodes/{env}/node/{uuid}/config
const url = 'https://example.com/api/v1/nodes/example/node/example/config';const options = { method: 'PUT', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"expires_at":"example","override":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://example.com/api/v1/nodes/example/node/example/config \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "expires_at": "example", "override": "example" }'Sets the node’s osquery configuration override, deep-merged over the environment configuration. Options that control the connection to osctrl and null values are refused.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”env
required
string
Environment name or UUID
uuid
required
string
Node UUID
Request Bodyrequired
Section titled “Request Bodyrequired”Request body
Media typeapplication/json
object
expires_at
string
override
string
Examplegenerated
{ "expires_at": "example", "override": "example"}Responses
Section titled “Responses”OK
Media typeapplication/json
object
applied
string
environment
string
expired
boolean
expires_at
string
override
string
updated_at
string
updated_by
string
Examplegenerated
{ "applied": "example", "environment": "example", "expired": true, "expires_at": "example", "override": "example", "updated_at": "example", "updated_by": "example"}Bad request
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Unauthorized
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Forbidden
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Not found
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Conflict
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Request body too large
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Too many requests
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Internal server error
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}Service unavailable
Media typeapplication/json
object
code
string
error
string
Examplegenerated
{ "code": "example", "error": "example"}